Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## gudusoft.gsqlparser.nodes
Enum ENodeType

    java.lang.Object
      java.lang.Enum<ENodeType>
          gudusoft.gsqlparser.nodes.ENodeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ENodeType>

    public enum ENodeType

extends java.lang.Enum<ENodeType>

Enum Constant Summary
`T_AliasClause`
`T_AlterTableOption`
`T_AlterTableOptionList`
`T_AlterTableSqlNode`
`T_AnalyticFunction`
`T_ArrayAccess`
`T_AutomaticProperty`
`T_BindArgument`
`T_BindArgumentList`
`T_BlockSqlNode`
`T_BreakSqlNode`
`T_CallSpec`
`T_CaseExpression`
`T_CloseSqlNode`
`T_ColumnDefinition`
`T_ColumnDefinitionList`
`T_ColumnReference`
`T_ColumnReferenceList`
`T_CommentSqlNode`
`T_CompoundDmlTriggerClause`
`T_CompoundSqlNode`
`T_ComputeClause`
`T_ComputeClauseItem`
`T_ComputeClauseItemList`
`T_ComputeExpr`
`T_ComputeExprList`
`T_Constant`
`T_Constant_BindV`
`T_Constant_Boolean`
`T_Constant_Date`
`T_Constant_Double`
`T_Constant_Float`
`T_Constant_Integer`
`T_Constant_Interval`
`T_Constant_Null`
`T_Constant_String`
`T_Constant_Time`
`T_Constant_Timestamp`
`T_ConstantList`
`T_Constraint`
`T_ConstraintList`
`T_ContainsTable`
`T_ContinueSqlNode`
`T_CreateDatabaseSqlNode`
`T_CreateDirectorySqlNode`
`T_CreateFunctionSqlNode`
`T_CreateIndexSqlNode`
`T_CreateMaterializedViewLogSqlNode`
`T_CreateMaterializedViewSqlNode`
`T_CreatePackageSqlNode`
`T_CreateProcedureSqlNode`
`T_CreateSequenceSqlNode`
`T_CreateSynonymSqlNode`
`T_CreateTableSqlNode`
`T_CreateTriggerSqlNode`
`T_CreateViewSqlNode`
`T_CTE`
`T_CTEList`
`T_DataChangeTable`
`T_DatatypeAttribute`
`T_DatatypeAttributeList`
`T_DatetimeExression`
`T_DeclareSqlNode`
`T_DeclareVariable`
`T_DeclareVariableList`
`T_DeleteSqlNode`
`T_DmlEventClause`
`T_DmlSelectItem`
`T_DmlSelectItemList`
`T_DropColumnOrConstraint`
`T_DropDbObjectSqlNode`
`T_DropIndexItem`
`T_DropIndexItemList`
`T_DropIndexSqlNode`
`T_DropTableSqlNode`
`T_DropViewSqlNode`
`T_Dummy`
`T_DummyList`
`T_ElseIfSqlNode`
`T_ElseIfSqlNodeList`
`T_ExceptionClause`
`T_ExceptionHandler`
`T_ExceptionHandlerList`
`T_ExecImmeNode`
`T_ExecParameter`
`T_ExecParameterList`
`T_ExecuteAsSqlNode`
`T_ExecuteSqlNode`
`T_ExpandOnClause`
`T_Expression`
`T_Expression_Compound`
`T_Expression_Simple`
`T_ExpressionList`
`T_FetchFirstClause`
`T_FetchSqlNode`
`T_Flashback`
`T_ForSqlNode`
`T_ForUpdate`
`T_FrameExclusionClause`
`T_FromTable`
`T_FromTableList`
`T_FunctionCall`
`T_GrantSqlNode`
`T_GroupingExpressionItem`
`T_GroupingExpressionItemList`
`T_GroupingSet`
`T_GroupingSetItem`
`T_GroupingSetItemList`
`T_GruopBy`
`T_GruopByItem`
`T_GruopByItemList`
`T_Hierarchical`
`T_IfSqlNode`
`T_IncludeColumns`
`T_Indices`
`T_Indirection`
`T_InExpr`
`T_InsertCondition`
`T_InsertIntoValue`
`T_InsertSqlNode`
`T_IntervalExression`
`T_IntoClause`
`T_IsolationClause`
`T_Join`
`T_JoinExpr`
`T_JoinItem`
`T_KeepDenseRankClause`
`T_KeyAction`
`T_KeyReference`
`T_LimitClause`
`T_LockingClause`
`T_LoopSqlNode`
`T_MdxAxisNode`
`T_MdxBinOpNode`
`T_MdxCalcPropNode`
`T_MdxCallNode`
`T_MdxCaseNode`
`T_MdxCreateMemberNode`
`T_MdxCreateSessionCubeNode`
`T_MdxCreateSubCubeNode`
`T_MdxDimContentNode`
`T_MdxDimensionNode`
`T_MdxDrillthroughNode`
`T_MdxEmptyNode`
`T_MdxFloatConstNode`
`T_MdxFunctionNode`
`T_MdxGroupNode`
`T_MdxIdentifierNode`
`T_MdxIntegerConstNode`
`T_MdxKeySegment`
`T_MdxLevelContentNode`
`T_MdxLevelNode`
`T_MdxMeasureNode`
`T_MdxMemberNode`
`T_MdxNameSegment`
`T_MdxNonEmptyNode`
`T_MdxPropertyNode`
`T_MdxScopeNode`
`T_MdxSelectNode`
`T_MdxSetNode`
`T_MdxStringConstNode`
`T_MdxTupleNode`
`T_MdxUnaryOpNode`
`T_MdxWhenNode`
`T_MdxWhereNode`
`T_MdxWithMemberNode`
`T_MdxWithSetNode`
`T_MergeDeleteClause`
`T_MergeInsertClause`
`T_MergeSqlNode`
`T_MergeUpdateClause`
`T_MergeWhenClause`
`T_MssqlBeginDialogSqlNode`
`T_MssqlBeginTranSqlNode`
`T_MssqlBulkInsertSqlNode`
`T_MssqlCreateTriggerUpdateColumn`
`T_MssqlCreateTriggerUpdateColumnList`
`T_MssqlDeallocateSqlNode`
`T_MssqlEndConversationSqlNode`
`T_MssqlGotoSqlNode`
`T_MssqlLabelSqlNode`
`T_MssqlRaiserrorSqlNode`
`T_MssqlRevertSqlNode`
`T_MssqlSendOnConversationSqlNode`
`T_MssqlSetSqlNode`
`T_MssqlStmtStubSqlNode`
`T_MssqlUpdateTextSqlNode`
`T_MultiTarget`
`T_MultiTargetList`
`T_MySQLCreateTableOption`
`T_MySQLIndexStorageType`
`T_NewVariantTypeArgument`
`T_NewVariantTypeArgumentList`
`T_NonDmlTriggerClause`
`T_ObjectName`
`T_ObjectNameList`
`T_ObjectReference`
`T_ObjectReferenceList`
`T_OffsetClause`
`T_OpenDatasource`
`T_OpenQuery`
`T_OpenRowSet`
`T_OpenSqlNode`
`T_OpenXML`
`T_OptimizeForClause`
`T_OrderBy`
`T_OrderByItem`
`T_OrderByItemList`
`T_OutputClause`
`T_OutputFormatPhrase`
`T_OutputFormatPhraseList`
`T_ParameterDeclaration`
`T_ParameterDeclarationList`
`T_ParseTreeNodeList`
`T_PartitionClause`
`T_PivotClause`
`T_PlsqlAssignStmt`
`T_PlsqlBasicStmt`
`T_PlsqlCaseStmt`
`T_PlsqlCloseStmt`
`T_PlsqlCreateType`
`T_PlsqlCreateTypeBody`
`T_PlsqlCursorDeclStmt`
`T_PlsqlElsifStmt`
`T_PlsqlExitStmt`
`T_PlsqlFetchStmt`
`T_PlsqlForallStmt`
`T_PlsqlGotoStmt`
`T_PlsqlIfStmt`
`T_PlsqlLoopStmt`
`T_PlsqlNullStmt`
`T_PlsqlOpenforStmt`
`T_PlsqlOpenStmt`
`T_PlsqlPipeRowStmt`
`T_PlsqlRaiseStmt`
`T_PlsqlRecordTypeDefStmt`
`T_PlsqlReturnStmt`
`T_PlsqlTableTypeDefStmt`
`T_PlsqlVarDeclStmt`
`T_PlsqlVarrayTypeDefStmt`
`T_PTNodeList`
`T_PxGranule`
`T_QualifyClause`
`T_RelationExpr`
`T_RelationExprList`
`T_RepeatSqlNode`
`T_RestrictionClause`
`T_ResultColumn`
`T_ResultColumnList`
`T_ReturningClause`
`T_ReturnSqlNode`
`T_RevokeSqlNode`
`T_RollupCube`
`T_SampleClause`
`T_SelectDistinct`
`T_SelectLimit`
`T_SelectSqlNode`
`T_SetSqlNode`
`T_SimpleDmlTriggerClause`
`T_StatementList`
`T_StatementListSqlNode`
`T_StatementSqlNode`
`T_StubStmtSqlNode`
`T_Table`
`T_TableElement`
`T_TableElementList`
`T_TableHint`
`T_TableReference`
`T_TableReferenceList`
`T_TableSample`
`T_TableSamplePart`
`T_TeradataWithClause`
`T_TeradataWithClauseItem`
`T_TeradataWithClauseItemList`
`T_TopClause`
`T_TriggerAction`
`T_TrimArgument`
`T_TruncateTableSqlNode`
`T_TypeAttribute`
`T_TypeAttributeList`
`T_Typename`
`T_TypeNameList`
`T_UpdateSqlNode`
`T_ValueClause`
`T_ValueRowItem`
`T_ValueRowItemList`
`T_ViewAliasClause`
`T_ViewAliasItem`
`T_ViewAliasItemList`
`T_WhenClauseItem`
`T_WhenClauseItemList`
`T_WhereClause`
`T_WhileSqlNode`
`T_WindowClause`
`T_WindowDef`

Method Summary
`static ENodeType` | `fromId(int id)`
`static ENodeType` | `fromString(java.lang.String str)`
`int` | `getId()`
`java.lang.String` | `toString()`
`static ENodeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ENodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### T_Constant

    public static final ENodeType T_Constant

### T_Constant_Integer

    public static final ENodeType T_Constant_Integer

### T_Constant_Float

    public static final ENodeType T_Constant_Float

### T_Constant_Double

    public static final ENodeType T_Constant_Double

### T_Constant_String

    public static final ENodeType T_Constant_String

### T_Constant_Date

    public static final ENodeType T_Constant_Date

### T_Constant_Timestamp

    public static final ENodeType T_Constant_Timestamp

### T_Constant_Time

    public static final ENodeType T_Constant_Time

### T_Constant_Boolean

    public static final ENodeType T_Constant_Boolean

### T_Constant_Interval

    public static final ENodeType T_Constant_Interval

### T_Constant_BindV

    public static final ENodeType T_Constant_BindV

### T_Constant_Null

    public static final ENodeType T_Constant_Null

### T_ConstantList

    public static final ENodeType T_ConstantList

### T_PTNodeList

    public static final ENodeType T_PTNodeList

### T_Typename

    public static final ENodeType T_Typename

### T_ParseTreeNodeList

    public static final ENodeType T_ParseTreeNodeList

### T_StatementList

    public static final ENodeType T_StatementList

### T_TypeNameList

    public static final ENodeType T_TypeNameList

### T_Expression

    public static final ENodeType T_Expression

### T_Expression_Simple

    public static final ENodeType T_Expression_Simple

### T_Expression_Compound

    public static final ENodeType T_Expression_Compound

### T_TableHint

    public static final ENodeType T_TableHint

### T_CaseExpression

    public static final ENodeType T_CaseExpression

### T_FunctionCall

    public static final ENodeType T_FunctionCall

### T_DatetimeExression

    public static final ENodeType T_DatetimeExression

### T_IntervalExression

    public static final ENodeType T_IntervalExression

### T_ObjectName

    public static final ENodeType T_ObjectName

### T_ColumnDefinition

    public static final ENodeType T_ColumnDefinition

### T_ObjectReference

    public static final ENodeType T_ObjectReference

### T_ColumnDefinitionList

    public static final ENodeType T_ColumnDefinitionList

### T_ObjectReferenceList

    public static final ENodeType T_ObjectReferenceList

### T_Table

    public static final ENodeType T_Table

### T_ColumnReference

    public static final ENodeType T_ColumnReference

### T_ColumnReferenceList

    public static final ENodeType T_ColumnReferenceList

### T_TableReference

    public static final ENodeType T_TableReference

### T_TableReferenceList

    public static final ENodeType T_TableReferenceList

### T_TypeAttribute

    public static final ENodeType T_TypeAttribute

### T_TypeAttributeList

    public static final ENodeType T_TypeAttributeList

### T_ObjectNameList

    public static final ENodeType T_ObjectNameList

### T_AlterTableOption

    public static final ENodeType T_AlterTableOption

### T_AlterTableOptionList

    public static final ENodeType T_AlterTableOptionList

### T_KeyReference

    public static final ENodeType T_KeyReference

### T_KeyAction

    public static final ENodeType T_KeyAction

### T_ExpressionList

    public static final ENodeType T_ExpressionList

### T_InExpr

    public static final ENodeType T_InExpr

### T_TrimArgument

    public static final ENodeType T_TrimArgument

### T_DropIndexItem

    public static final ENodeType T_DropIndexItem

### T_DropIndexItemList

    public static final ENodeType T_DropIndexItemList

### T_TruncateTableSqlNode

    public static final ENodeType T_TruncateTableSqlNode

### T_StubStmtSqlNode

    public static final ENodeType T_StubStmtSqlNode

### T_SelectSqlNode

    public static final ENodeType T_SelectSqlNode

### T_DeleteSqlNode

    public static final ENodeType T_DeleteSqlNode

### T_UpdateSqlNode

    public static final ENodeType T_UpdateSqlNode

### T_InsertSqlNode

    public static final ENodeType T_InsertSqlNode

### T_CreateTableSqlNode

    public static final ENodeType T_CreateTableSqlNode

### T_CreateProcedureSqlNode

    public static final ENodeType T_CreateProcedureSqlNode

### T_CreateFunctionSqlNode

    public static final ENodeType T_CreateFunctionSqlNode

### T_BlockSqlNode

    public static final ENodeType T_BlockSqlNode

### T_ReturnSqlNode

    public static final ENodeType T_ReturnSqlNode

### T_CreateTriggerSqlNode

    public static final ENodeType T_CreateTriggerSqlNode

### T_CreateViewSqlNode

    public static final ENodeType T_CreateViewSqlNode

### T_StatementSqlNode

    public static final ENodeType T_StatementSqlNode

### T_IfSqlNode

    public static final ENodeType T_IfSqlNode

### T_DeclareSqlNode

    public static final ENodeType T_DeclareSqlNode

### T_PlsqlCursorDeclStmt

    public static final ENodeType T_PlsqlCursorDeclStmt

### T_CreatePackageSqlNode

    public static final ENodeType T_CreatePackageSqlNode

### T_CreateIndexSqlNode

    public static final ENodeType T_CreateIndexSqlNode

### T_CreateMaterializedViewLogSqlNode

    public static final ENodeType T_CreateMaterializedViewLogSqlNode

### T_CreateMaterializedViewSqlNode

    public static final ENodeType T_CreateMaterializedViewSqlNode

### T_DropTableSqlNode

    public static final ENodeType T_DropTableSqlNode

### T_DropIndexSqlNode

    public static final ENodeType T_DropIndexSqlNode

### T_DropViewSqlNode

    public static final ENodeType T_DropViewSqlNode

### T_CreateSequenceSqlNode

    public static final ENodeType T_CreateSequenceSqlNode

### T_AlterTableSqlNode

    public static final ENodeType T_AlterTableSqlNode

### T_MergeSqlNode

    public static final ENodeType T_MergeSqlNode

### T_ContinueSqlNode

    public static final ENodeType T_ContinueSqlNode

### T_BreakSqlNode

    public static final ENodeType T_BreakSqlNode

### T_GrantSqlNode

    public static final ENodeType T_GrantSqlNode

### T_FetchSqlNode

    public static final ENodeType T_FetchSqlNode

### T_OpenSqlNode

    public static final ENodeType T_OpenSqlNode

### T_CloseSqlNode

    public static final ENodeType T_CloseSqlNode

### T_ExecuteAsSqlNode

    public static final ENodeType T_ExecuteAsSqlNode

### T_ExecuteSqlNode

    public static final ENodeType T_ExecuteSqlNode

### T_RevokeSqlNode

    public static final ENodeType T_RevokeSqlNode

### T_DropDbObjectSqlNode

    public static final ENodeType T_DropDbObjectSqlNode

### T_ViewAliasItem

    public static final ENodeType T_ViewAliasItem

### T_ViewAliasItemList

    public static final ENodeType T_ViewAliasItemList

### T_ViewAliasClause

    public static final ENodeType T_ViewAliasClause

### T_SelectDistinct

    public static final ENodeType T_SelectDistinct

### T_CreateDatabaseSqlNode

    public static final ENodeType T_CreateDatabaseSqlNode

### T_InsertCondition

    public static final ENodeType T_InsertCondition

### T_InsertIntoValue

    public static final ENodeType T_InsertIntoValue

### T_StatementListSqlNode

    public static final ENodeType T_StatementListSqlNode

### T_CommentSqlNode

    public static final ENodeType T_CommentSqlNode

### T_WhereClause

    public static final ENodeType T_WhereClause

### T_ResultColumn

    public static final ENodeType T_ResultColumn

### T_ResultColumnList

    public static final ENodeType T_ResultColumnList

### T_AliasClause

    public static final ENodeType T_AliasClause

### T_FromTable

    public static final ENodeType T_FromTable

### T_PxGranule

    public static final ENodeType T_PxGranule

### T_TableSample

    public static final ENodeType T_TableSample

### T_Flashback

    public static final ENodeType T_Flashback

### T_FromTableList

    public static final ENodeType T_FromTableList

### T_JoinExpr

    public static final ENodeType T_JoinExpr

### T_Join

    public static final ENodeType T_Join

### T_JoinItem

    public static final ENodeType T_JoinItem

### T_CTE

    public static final ENodeType T_CTE

### T_CTEList

    public static final ENodeType T_CTEList

### T_OrderBy

    public static final ENodeType T_OrderBy

### T_OrderByItem

    public static final ENodeType T_OrderByItem

### T_OrderByItemList

    public static final ENodeType T_OrderByItemList

### T_ForUpdate

    public static final ENodeType T_ForUpdate

### T_Hierarchical

    public static final ENodeType T_Hierarchical

### T_GruopBy

    public static final ENodeType T_GruopBy

### T_GruopByItem

    public static final ENodeType T_GruopByItem

### T_GruopByItemList

    public static final ENodeType T_GruopByItemList

### T_RollupCube

    public static final ENodeType T_RollupCube

### T_GroupingSetItem

    public static final ENodeType T_GroupingSetItem

### T_GroupingSetItemList

    public static final ENodeType T_GroupingSetItemList

### T_GroupingExpressionItem

    public static final ENodeType T_GroupingExpressionItem

### T_GroupingExpressionItemList

    public static final ENodeType T_GroupingExpressionItemList

### T_GroupingSet

    public static final ENodeType T_GroupingSet

### T_QualifyClause

    public static final ENodeType T_QualifyClause

### T_AnalyticFunction

    public static final ENodeType T_AnalyticFunction

### T_KeepDenseRankClause

    public static final ENodeType T_KeepDenseRankClause

### T_WhenClauseItem

    public static final ENodeType T_WhenClauseItem

### T_WhenClauseItemList

    public static final ENodeType T_WhenClauseItemList

### T_ComputeExpr

    public static final ENodeType T_ComputeExpr

### T_ComputeExprList

    public static final ENodeType T_ComputeExprList

### T_ComputeClauseItem

    public static final ENodeType T_ComputeClauseItem

### T_ComputeClauseItemList

    public static final ENodeType T_ComputeClauseItemList

### T_ComputeClause

    public static final ENodeType T_ComputeClause

### T_TopClause

    public static final ENodeType T_TopClause

### T_ContainsTable

    public static final ENodeType T_ContainsTable

### T_OpenRowSet

    public static final ENodeType T_OpenRowSet

### T_OpenXML

    public static final ENodeType T_OpenXML

### T_OpenDatasource

    public static final ENodeType T_OpenDatasource

### T_PivotClause

    public static final ENodeType T_PivotClause

### T_OutputClause

    public static final ENodeType T_OutputClause

### T_DmlSelectItem

    public static final ENodeType T_DmlSelectItem

### T_DmlSelectItemList

    public static final ENodeType T_DmlSelectItemList

### T_ReturningClause

    public static final ENodeType T_ReturningClause

### T_OpenQuery

    public static final ENodeType T_OpenQuery

### T_MultiTarget

    public static final ENodeType T_MultiTarget

### T_MultiTargetList

    public static final ENodeType T_MultiTargetList

### T_TableElement

    public static final ENodeType T_TableElement

### T_TableElementList

    public static final ENodeType T_TableElementList

### T_IntoClause

    public static final ENodeType T_IntoClause

### T_TableSamplePart

    public static final ENodeType T_TableSamplePart

### T_Constraint

    public static final ENodeType T_Constraint

### T_ConstraintList

    public static final ENodeType T_ConstraintList

### T_BindArgument

    public static final ENodeType T_BindArgument

### T_BindArgumentList

    public static final ENodeType T_BindArgumentList

### T_NewVariantTypeArgument

    public static final ENodeType T_NewVariantTypeArgument

### T_NewVariantTypeArgumentList

    public static final ENodeType T_NewVariantTypeArgumentList

### T_SampleClause

    public static final ENodeType T_SampleClause

### T_TeradataWithClause

    public static final ENodeType T_TeradataWithClause

### T_TeradataWithClauseItem

    public static final ENodeType T_TeradataWithClauseItem

### T_TeradataWithClauseItemList

    public static final ENodeType T_TeradataWithClauseItemList

### T_OutputFormatPhrase

    public static final ENodeType T_OutputFormatPhrase

### T_OutputFormatPhraseList

    public static final ENodeType T_OutputFormatPhraseList

### T_MergeWhenClause

    public static final ENodeType T_MergeWhenClause

### T_MergeUpdateClause

    public static final ENodeType T_MergeUpdateClause

### T_MergeInsertClause

    public static final ENodeType T_MergeInsertClause

### T_MergeDeleteClause

    public static final ENodeType T_MergeDeleteClause

### T_FrameExclusionClause

    public static final ENodeType T_FrameExclusionClause

### T_ExceptionClause

    public static final ENodeType T_ExceptionClause

### T_ExceptionHandler

    public static final ENodeType T_ExceptionHandler

### T_ExceptionHandlerList

    public static final ENodeType T_ExceptionHandlerList

### T_PlsqlOpenforStmt

    public static final ENodeType T_PlsqlOpenforStmt

### T_PlsqlLoopStmt

    public static final ENodeType T_PlsqlLoopStmt

### T_PlsqlVarDeclStmt

    public static final ENodeType T_PlsqlVarDeclStmt

### T_PlsqlAssignStmt

    public static final ENodeType T_PlsqlAssignStmt

### T_PlsqlExitStmt

    public static final ENodeType T_PlsqlExitStmt

### T_PlsqlGotoStmt

    public static final ENodeType T_PlsqlGotoStmt

### T_PlsqlIfStmt

    public static final ENodeType T_PlsqlIfStmt

### T_PlsqlElsifStmt

    public static final ENodeType T_PlsqlElsifStmt

### T_PlsqlRaiseStmt

    public static final ENodeType T_PlsqlRaiseStmt

### T_PlsqlReturnStmt

    public static final ENodeType T_PlsqlReturnStmt

### T_PlsqlCloseStmt

    public static final ENodeType T_PlsqlCloseStmt

### T_PlsqlOpenStmt

    public static final ENodeType T_PlsqlOpenStmt

### T_ExecImmeNode

    public static final ENodeType T_ExecImmeNode

### T_PlsqlFetchStmt

    public static final ENodeType T_PlsqlFetchStmt

### T_PlsqlForallStmt

    public static final ENodeType T_PlsqlForallStmt

### T_PlsqlCaseStmt

    public static final ENodeType T_PlsqlCaseStmt

### T_PlsqlBasicStmt

    public static final ENodeType T_PlsqlBasicStmt

### T_PlsqlNullStmt

    public static final ENodeType T_PlsqlNullStmt

### T_PlsqlTableTypeDefStmt

    public static final ENodeType T_PlsqlTableTypeDefStmt

### T_PlsqlVarrayTypeDefStmt

    public static final ENodeType T_PlsqlVarrayTypeDefStmt

### T_PlsqlRecordTypeDefStmt

    public static final ENodeType T_PlsqlRecordTypeDefStmt

### T_SimpleDmlTriggerClause

    public static final ENodeType T_SimpleDmlTriggerClause

### T_CompoundDmlTriggerClause

    public static final ENodeType T_CompoundDmlTriggerClause

### T_NonDmlTriggerClause

    public static final ENodeType T_NonDmlTriggerClause

### T_PlsqlCreateType

    public static final ENodeType T_PlsqlCreateType

### T_PlsqlCreateTypeBody

    public static final ENodeType T_PlsqlCreateTypeBody

### T_DmlEventClause

    public static final ENodeType T_DmlEventClause

### T_ParameterDeclaration

    public static final ENodeType T_ParameterDeclaration

### T_ParameterDeclarationList

    public static final ENodeType T_ParameterDeclarationList

### T_ArrayAccess

    public static final ENodeType T_ArrayAccess

### T_PlsqlPipeRowStmt

    public static final ENodeType T_PlsqlPipeRowStmt

### T_CreateSynonymSqlNode

    public static final ENodeType T_CreateSynonymSqlNode

### T_CreateDirectorySqlNode

    public static final ENodeType T_CreateDirectorySqlNode

### T_CallSpec

    public static final ENodeType T_CallSpec

### T_MssqlSetSqlNode

    public static final ENodeType T_MssqlSetSqlNode

### T_MssqlBeginTranSqlNode

    public static final ENodeType T_MssqlBeginTranSqlNode

### T_MssqlRaiserrorSqlNode

    public static final ENodeType T_MssqlRaiserrorSqlNode

### T_MssqlGotoSqlNode

    public static final ENodeType T_MssqlGotoSqlNode

### T_MssqlLabelSqlNode

    public static final ENodeType T_MssqlLabelSqlNode

### T_MssqlDeallocateSqlNode

    public static final ENodeType T_MssqlDeallocateSqlNode

### T_DeclareVariable

    public static final ENodeType T_DeclareVariable

### T_DeclareVariableList

    public static final ENodeType T_DeclareVariableList

### T_MssqlBeginDialogSqlNode

    public static final ENodeType T_MssqlBeginDialogSqlNode

### T_MssqlSendOnConversationSqlNode

    public static final ENodeType T_MssqlSendOnConversationSqlNode

### T_MssqlEndConversationSqlNode

    public static final ENodeType T_MssqlEndConversationSqlNode

### T_MssqlRevertSqlNode

    public static final ENodeType T_MssqlRevertSqlNode

### T_MssqlCreateTriggerUpdateColumn

    public static final ENodeType T_MssqlCreateTriggerUpdateColumn

### T_MssqlCreateTriggerUpdateColumnList

    public static final ENodeType T_MssqlCreateTriggerUpdateColumnList

### T_MssqlBulkInsertSqlNode

    public static final ENodeType T_MssqlBulkInsertSqlNode

### T_MssqlUpdateTextSqlNode

    public static final ENodeType T_MssqlUpdateTextSqlNode

### T_MssqlStmtStubSqlNode

    public static final ENodeType T_MssqlStmtStubSqlNode

### T_DropColumnOrConstraint

    public static final ENodeType T_DropColumnOrConstraint

### T_ExecParameter

    public static final ENodeType T_ExecParameter

### T_ExecParameterList

    public static final ENodeType T_ExecParameterList

### T_DatatypeAttribute

    public static final ENodeType T_DatatypeAttribute

### T_DatatypeAttributeList

    public static final ENodeType T_DatatypeAttributeList

### T_LimitClause

    public static final ENodeType T_LimitClause

### T_MySQLIndexStorageType

    public static final ENodeType T_MySQLIndexStorageType

### T_MySQLCreateTableOption

    public static final ENodeType T_MySQLCreateTableOption

### T_AutomaticProperty

    public static final ENodeType T_AutomaticProperty

### T_OptimizeForClause

    public static final ENodeType T_OptimizeForClause

### T_FetchFirstClause

    public static final ENodeType T_FetchFirstClause

### T_IsolationClause

    public static final ENodeType T_IsolationClause

### T_ValueClause

    public static final ENodeType T_ValueClause

### T_ValueRowItem

    public static final ENodeType T_ValueRowItem

### T_ValueRowItemList

    public static final ENodeType T_ValueRowItemList

### T_DataChangeTable

    public static final ENodeType T_DataChangeTable

### T_IncludeColumns

    public static final ENodeType T_IncludeColumns

### T_CompoundSqlNode

    public static final ENodeType T_CompoundSqlNode

### T_ForSqlNode

    public static final ENodeType T_ForSqlNode

### T_ElseIfSqlNode

    public static final ENodeType T_ElseIfSqlNode

### T_ElseIfSqlNodeList

    public static final ENodeType T_ElseIfSqlNodeList

### T_SetSqlNode

    public static final ENodeType T_SetSqlNode

### T_WhileSqlNode

    public static final ENodeType T_WhileSqlNode

### T_RepeatSqlNode

    public static final ENodeType T_RepeatSqlNode

### T_LoopSqlNode

    public static final ENodeType T_LoopSqlNode

### T_TriggerAction

    public static final ENodeType T_TriggerAction

### T_RestrictionClause

    public static final ENodeType T_RestrictionClause

### T_ExpandOnClause

    public static final ENodeType T_ExpandOnClause

### T_RelationExpr

    public static final ENodeType T_RelationExpr

### T_RelationExprList

    public static final ENodeType T_RelationExprList

### T_LockingClause

    public static final ENodeType T_LockingClause

### T_OffsetClause

    public static final ENodeType T_OffsetClause

### T_SelectLimit

    public static final ENodeType T_SelectLimit

### T_WindowDef

    public static final ENodeType T_WindowDef

### T_PartitionClause

    public static final ENodeType T_PartitionClause

### T_WindowClause

    public static final ENodeType T_WindowClause

### T_Indirection

    public static final ENodeType T_Indirection

### T_Indices

    public static final ENodeType T_Indices

### T_MdxSelectNode

    public static final ENodeType T_MdxSelectNode

### T_MdxCreateMemberNode

    public static final ENodeType T_MdxCreateMemberNode

### T_MdxCreateSubCubeNode

    public static final ENodeType T_MdxCreateSubCubeNode

### T_MdxCreateSessionCubeNode

    public static final ENodeType T_MdxCreateSessionCubeNode

### T_MdxDrillthroughNode

    public static final ENodeType T_MdxDrillthroughNode

### T_MdxScopeNode

    public static final ENodeType T_MdxScopeNode

### T_MdxCallNode

    public static final ENodeType T_MdxCallNode

### T_MdxNameSegment

    public static final ENodeType T_MdxNameSegment

### T_MdxKeySegment

    public static final ENodeType T_MdxKeySegment

### T_MdxIdentifierNode

    public static final ENodeType T_MdxIdentifierNode

### T_MdxIntegerConstNode

    public static final ENodeType T_MdxIntegerConstNode

### T_MdxFloatConstNode

    public static final ENodeType T_MdxFloatConstNode

### T_MdxStringConstNode

    public static final ENodeType T_MdxStringConstNode

### T_MdxEmptyNode

    public static final ENodeType T_MdxEmptyNode

### T_MdxNonEmptyNode

    public static final ENodeType T_MdxNonEmptyNode

### T_MdxPropertyNode

    public static final ENodeType T_MdxPropertyNode

### T_MdxFunctionNode

    public static final ENodeType T_MdxFunctionNode

### T_MdxTupleNode

    public static final ENodeType T_MdxTupleNode

### T_MdxSetNode

    public static final ENodeType T_MdxSetNode

### T_MdxMeasureNode

    public static final ENodeType T_MdxMeasureNode

### T_MdxGroupNode

    public static final ENodeType T_MdxGroupNode

### T_MdxMemberNode

    public static final ENodeType T_MdxMemberNode

### T_MdxDimensionNode

    public static final ENodeType T_MdxDimensionNode

### T_MdxLevelContentNode

    public static final ENodeType T_MdxLevelContentNode

### T_MdxLevelNode

    public static final ENodeType T_MdxLevelNode

### T_MdxUnaryOpNode

    public static final ENodeType T_MdxUnaryOpNode

### T_MdxBinOpNode

    public static final ENodeType T_MdxBinOpNode

### T_MdxWhenNode

    public static final ENodeType T_MdxWhenNode

### T_MdxCaseNode

    public static final ENodeType T_MdxCaseNode

### T_MdxAxisNode

    public static final ENodeType T_MdxAxisNode

### T_MdxCalcPropNode

    public static final ENodeType T_MdxCalcPropNode

### T_MdxWithMemberNode

    public static final ENodeType T_MdxWithMemberNode

### T_MdxWithSetNode

    public static final ENodeType T_MdxWithSetNode

### T_MdxWhereNode

    public static final ENodeType T_MdxWhereNode

### T_MdxDimContentNode

    public static final ENodeType T_MdxDimContentNode

### T_Dummy

    public static final ENodeType T_Dummy

### T_DummyList

    public static final ENodeType T_DummyList

Method Detail

### values

    public static final ENodeType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ENodeType c : ENodeType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ENodeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### getId

    public int getId()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<ENodeType>`

### fromString

    public static ENodeType fromString(java.lang.String str)

### fromId

    public static ENodeType fromId(int id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD